# Interface methods for submodule: MutualInformationImageToImageMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricProxy as _ImageToImageMetricProxy


# Interface methods for class: MutualInformationImageToImageMetric
class MutualInformationImageToImageMetricProxy(_ImageToImageMetricProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetDerivative(self, parameters, derivative: Sequence[float]) -> None:
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

	def GetValueAndDerivative(self, parameters, value: float, derivative: Sequence[float]) -> None:
		""""""
		...

	def SetNumberOfSpatialSamples(self, num: int) -> None:
		""""""
		...

	def GetNumberOfSpatialSamples(self) -> int:
		""""""
		...

	def SetMovingImageStandardDeviation(self, _arg: float) -> None:
		""""""
		...

	def GetMovingImageStandardDeviation(self) -> float:
		""""""
		...

	def SetFixedImageStandardDeviation(self, _arg: float) -> None:
		""""""
		...

	def GetFixedImageStandardDeviation(self) -> float:
		""""""
		...

	def SetKernelFunction(self, _arg) -> None:
		""""""
		...

	def GetModifiableKernelFunction(self):
		""""""
		...

	def GetKernelFunction(self):
		""""""
		...

